Get user rewards summary
curl --request GET \
--url https://persephone.superform.xyz/v1/rewards/summary/{user_address} \
--header 'SF-API-KEY: <api-key>'import requests
url = "https://persephone.superform.xyz/v1/rewards/summary/{user_address}"
headers = {"SF-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'SF-API-KEY': '<api-key>'}};
fetch('https://persephone.superform.xyz/v1/rewards/summary/{user_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"epoch": {
"id": "<string>",
"name": "<string>",
"total_points_earned": 123,
"total_participants": "<string>",
"from_timestamp": "2023-11-07T05:31:56Z",
"to_timestamp": "2023-11-07T05:31:56Z"
},
"user": {
"points": 123,
"points_per_day": 123,
"referrals_direct": 123,
"referrals_indirect": 123,
"rank": "<string>"
},
"season_1": {
"user_points": 123,
"total_points": 123
},
"season_2": {
"user_points": 123,
"total_points": 123
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Rewards
Get user rewards summary
Returns rewards summary for a user including epoch stats
GET
/
v1
/
rewards
/
summary
/
{user_address}
Get user rewards summary
Authorizations
API key required for authentication. Use the value {{v2_api_key}} in Postman.
Path Parameters
Query Parameters
Optional: if 0, use epoch_0_snapshot; otherwise use live epoch data
